Package com.collabnet.ce.soap60.marshaling

# Class AbstractSoapMarshaler

java.lang.Object
com.collabnet.ce.soap60.marshaling.AbstractStatelessSoapMarshaler
com.collabnet.ce.soap60.marshaling.AbstractSoapMarshaler

All Implemented Interfaces:
  `SoapMarshaler`

Direct Known Subclasses:
  `Artifact2SoapListMarshaler`, `Artifact2SoapRowMarshaler`, `ArtifactDependencySoapListMarshaler`, `ArtifactDependencySoapRowMarshaler`, `ArtifactDetail2SoapListMarshaler`, `ArtifactDetail2SoapRowMarshaler`, `ArtifactDetailSoapListMarshaler`, `ArtifactDetailSoapRowMarshaler`, `ArtifactsInPlanningFolder2SoapListMarshaler`, `ArtifactsInPlanningFolder2SoapRowMarshaler`, `ArtifactsInPlanningFolderSoapListMarshaler`, `ArtifactsInPlanningFolderSoapRowMarshaler`, `ArtifactSoapListMarshaler`, `ArtifactSoapRowMarshaler`, `AssociationSoapListMarshaler`, `AssociationSoapRowMarshaler`, `AttachmentSoapListMarshaler`, `AttachmentSoapRowMarshaler`, `AuditHistorySoapListMarshaler`, `AuditHistorySoapRowMarshaler`, `CategorySoapListMarshaler`, `CheckoutCommandSoapListMarshaler`, `CommentSoapListMarshaler`, `CommentSoapRowMarshaler`, `CommitSoapListMarshaler`, `CommitSoapRowMarshaler`, `Document2SoapListMarshaler`, `Document2SoapRowMarshaler`, `Document3SoapListMarshaler`, `Document3SoapRowMarshaler`, `DocumentFolderSoapListMarshaler`, `DocumentReviewSoapListMarshaler`, `DocumentReviewSoapRowMarshaler`, `DocumentSoapListMarshaler`, `DocumentSoapRowMarshaler`, `ExternalSystem2SoapListMarshaler`, `ExternalSystem2SoapRowMarshaler`, `ExternalSystemSoapListMarshaler`, `ExternalSystemSoapRowMarshaler`, `FolderSoapListMarshaler`, `FolderSoapRowMarshaler`, `Forum2SoapListMarshaler`, `ForumSoapListMarshaler`, `FrsFile2SoapListMarshaler`, `FrsFile2SoapRowMarshaler`, `FrsFileSoapListMarshaler`, `FrsFileSoapRowMarshaler`, `LinkedApplication2SoapListMarshaler`, `LinkedApplication2SoapRowMarshaler`, `LinkedApplicationSoapListMarshaler`, `LinkedApplicationSoapRowMarshaler`, `LinkIASoapListMarshaler`, `LinkIASoapRowMarshaler`, `MonitoringSubscriptionSoapListMarshaler`, `MonitoringSubscriptionSoapRowMarshaler`, `MonitoringUserSoapListMarshaler`, `MonitoringUserSoapRowMarshaler`, `NewsPostSoapListMarshaler`, `NewsPostSoapRowMarshaler`, `OrderedDocumentFolderFieldSoapListMarshaler`, `OrderedTrackerFieldSoapListMarshaler`, `PackageSoapListMarshaler`, `PageSoapListMarshaler`, `PlanningFolder2SoapListMarshaler`, `PlanningFolder3SoapListMarshaler`, `PlanningFolder4SoapListMarshaler`, `PlanningFolder5SoapListMarshaler`, `PlanningFolderSoapListMarshaler`, `PluggableComponent2SoapListMarshaler`, `PluggableComponent2SoapRowMarshaler`, `PluggableComponentSoapListMarshaler`, `PluggableComponentSoapRowMarshaler`, `PostSoapListMarshaler`, `PostSoapRowMarshaler`, `ProjectGroupMemberSoapListMarshaler`, `ProjectGroupMemberSoapRowMarshaler`, `ProjectGroupSoapListMarshaler`, `ProjectGroupSoapRowMarshaler`, `ProjectMemberSoapListMarshaler`, `ProjectMemberSoapRowMarshaler`, `ProjectSoapListMarshaler`, `ProjectSoapRowMarshaler`, `RankedArtifact2SoapListMarshaler`, `RankedArtifact2SoapRowMarshaler`, `RankedArtifactSoapListMarshaler`, `RankedArtifactSoapRowMarshaler`, `ReleaseSoapListMarshaler`, `ReplicableScmExternalSystemSoapListMarshaler`, `ReplicableScmExternalSystemSoapRowMarshaler`, `ReplicaRepositorySoapListMarshaler`, `ReplicaRepositorySoapRowMarshaler`, `ReplicaServerSoapListMarshaler`, `ReplicaServerSoapRowMarshaler`, `ReplicatedRepositorySoapListMarshaler`, `RepositorySoapListMarshaler`, `RoleCluster2SoapListMarshaler`, `RoleClusterSoapListMarshaler`, `RoleGroupSoapListMarshaler`, `RoleGroupSoapRowMarshaler`, `RolePathSoapListMarshaler`, `RoleRequestSoapListMarshaler`, `RoleRequestSoapRowMarshaler`, `RoleSoapListMarshaler`, `RoleSoapRowMarshaler`, `ScmFile2SoapListMarshaler`, `ScmFile2SoapRowMarshaler`, `ScmFileSoapListMarshaler`, `ScmFileSoapRowMarshaler`, `TagSoapMarshaler`, `TeamSoapListMarshaler`, `TeamSoapRowMarshaler`, `TopicSoapListMarshaler`, `Tracker2SoapListMarshaler`, `Tracker3SoapListMarshaler`, `TrackerSoapListMarshaler`, `TrackerUnitSoapListMarshaler`, `TrackerUnitSoapRowMarshaler`, `User2SoapListMarshaler`, `User2SoapRowMarshaler`, `UserGroupSoapListMarshaler`, `UserGroupSoapRowMarshaler`, `UserSoapListMarshaler`, `UserSoapRowMarshaler`, `VersionInformationSoapListMarshaler`, `VersionInformationSoapRowMarshaler`, `WikiPageSoapListMarshaler`, `WikiPageSoapRowMarshaler`

public abstract class AbstractSoapMarshaler extends AbstractStatelessSoapMarshaler
Abstract SOAP marshaler.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractSoapMarshaler()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected static com.collabnet.ctf.service.core.CoreService`
  `getCoreService()`
  Returns the Core Service
  `protected void`
  `protectedRmiToSoap(Object soapObject, Object rmiObject)`
  Unmarshals data from an rmi object to a given SOAP object.
  `protected void`
  `protectedSoapToRmi(Object soapObject, Object rmiObject)`
  Marshals data from a soap object to a given rmi object.

  ### Methods inherited from class com.collabnet.ce.soap60.marshaling.AbstractStatelessSoapMarshaler

  `isStateless`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.collabnet.ce.soap60.marshaling.SoapMarshaler

  `rmiToSoap, soapToRmi`

- ## Constructor Details

  - ### AbstractSoapMarshaler

    public AbstractSoapMarshaler()

- ## Method Details

  - ### protectedSoapToRmi

    protected void protectedSoapToRmi(Object soapObject, Object rmiObject) throws SoapMarshalingException
    Marshals data from a soap object to a given rmi object. This protected method is primarily used by marshaler classes to marshal members from a super-class marshaler.
    Parameters:
      `soapObject` - SOAP object.
      `rmiObject` - RMI object.
    Throws:
      `SoapMarshalingException` - when an error is encountered during marshaling.

  - ### protectedRmiToSoap

    protected void protectedRmiToSoap(Object soapObject, Object rmiObject) throws SoapMarshalingException
    Unmarshals data from an rmi object to a given SOAP object. This protected method is primarily used by the marshaler classes to unmarshal members from a super-class marshaler.
    Parameters:
      `soapObject` - SOAP object.
      `rmiObject` - RMI object.
    Throws:
      `SoapMarshalingException` - when an error is encountered during marshaling.

  - ### getCoreService

    protected static com.collabnet.ctf.service.core.CoreService getCoreService()
    Returns the Core Service
    Returns:
      the core service